import { Disposable, IContextKeyService, IRange, URI } from '@opensumi/ide-core-browser';
import { IEditor } from '@opensumi/ide-editor';
import { IComment, ICommentsService, ICommentsThread, ICommentsThreadOptions, ICommentsZoneWidget, IThreadComment } from '../common';
export declare class CommentsThread extends Disposable implements ICommentsThread {
    uri: URI;
    range: IRange;
    providerId: string;
    options: ICommentsThreadOptions;
    commentsService: ICommentsService;
    private readonly globalContextKeyService;
    private readonly _contextKeyService;
    private readonly editorCollectionService;
    private readonly injector;
    comments: IThreadComment[];
    label: string | undefined;
    private _readOnly;
    isCollapsed: boolean;
    data: any;
    set contextValue(value: string | undefined);
    get contextValue(): string | undefined;
    private widgets;
    private _id;
    private onDidChangeEmitter;
    get onDidChange(): import("@opensumi/ide-core-browser").Event<void>;
    constructor(uri: URI, range: IRange, providerId: string, options: ICommentsThreadOptions);
    updateComments(comments: IThreadComment[]): void;
    getWidgetByEditor(editor: IEditor): ICommentsZoneWidget | undefined;
    get id(): string;
    get contextKeyService(): IContextKeyService;
    get readOnly(): boolean;
    set readOnly(readOnly: boolean);
    get threadHeaderTitle(): string;
    private getEditorsByUri;
    private addWidgetByEditor;
    toggle: (editor: IEditor) => void;
    show(editor?: IEditor): void;
    showWidgetsIfShowed(): void;
    hideWidgetsByDispose(): void;
    isShowWidget(editor?: IEditor): boolean;
    hide(editor?: IEditor): void;
    showAll(): void;
    hideAll(isDospose?: boolean): void;
    addComment(...comments: IComment[]): void;
    removeComment(comment: IComment): void;
    isEqual(thread: ICommentsThread): boolean;
}
//# sourceMappingURL=comments-thread.d.ts.map