"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentsModule = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const common_1 = require("../common");
const comments_feature_registry_1 = require("./comments-feature.registry");
const comments_contribution_1 = require("./comments.contribution");
const comments_service_1 = require("./comments.service");
const tree_model_service_1 = require("./tree/tree-model.service");
let CommentsModule = class CommentsModule extends ide_core_browser_1.BrowserModule {
    constructor() {
        super(...arguments);
        this.contributionProvider = common_1.CommentsContribution;
        this.providers = [
            {
                token: common_1.ICommentsService,
                useClass: comments_service_1.CommentsService,
            },
            {
                token: tree_model_service_1.CommentModelService,
                useClass: tree_model_service_1.CommentModelService,
            },
            {
                token: common_1.ICommentsFeatureRegistry,
                useClass: comments_feature_registry_1.CommentsFeatureRegistry,
            },
            comments_contribution_1.CommentsBrowserContribution,
        ];
    }
};
CommentsModule = tslib_1.__decorate([
    (0, di_1.Injectable)()
], CommentsModule);
exports.CommentsModule = CommentsModule;
//# sourceMappingURL=index.js.map